summaryrefslogtreecommitdiffstats
path: root/id3lib
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2017-09-11 16:28:29 +0000
committer Eric Hameleers <alien@slackware.com>2017-09-11 16:28:29 +0000
commit606f1350bc7553c28664f9269fd158bc3ed18bf5 (patch)
tree9b9bf59b06100bbcd93f846f1ab2ad3568cf1967 /id3lib
parent5d835b66081a4871026d4e049d6195a31f13aa35 (diff)
downloadasb-606f1350bc7553c28664f9269fd158bc3ed18bf5.tar.gz
asb-606f1350bc7553c28664f9269fd158bc3ed18bf5.tar.xz
id3lib: added patches and rebuilt for Slackware 14.2 and -current
Diffstat (limited to 'id3lib')
-rwxr-xr-xid3lib/build/id3lib.SlackBuild43
1 files changed, 28 insertions, 15 deletions
diff --git a/id3lib/build/id3lib.SlackBuild b/id3lib/build/id3lib.SlackBuild
index e805df84..fa59ab55 100755
--- a/id3lib/build/id3lib.SlackBuild
+++ b/id3lib/build/id3lib.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright (c) 2007,2008,2010 Eric Hameleers, Eindhoven, NL
+# Copyright (c) 2007,2008,2010,2017 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -40,6 +40,8 @@
# * Rebuilt for Slackware64.
# 3.8.3-5: 01/jun/2010 by Eric Hameleers <alien@slackware.com>
# * Rebuilt for Slackware 13.1.
+# 3.8.3-6: 11/sep/2017 by Eric Hameleers <alien@slackware.com>
+# * Rebuilt for Slackware 14.2 and -current.
#
# Run 'sh id3lib.SlackBuild' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -51,7 +53,7 @@
PRGNAM=id3lib
VERSION=${VERSION:-3.8.3}
-BUILD=${BUILD:-5}
+BUILD=${BUILD:-6}
TAG=${TAG:-alien}
DOCS="AUTHORS COPYING ChangeLog HISTORY NEWS README THANKS TODO doc/*"
@@ -111,14 +113,14 @@ mkdir -p $PKG # place for the package to be built
rm -rf $PKG/* # always erase old package's contents
rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
-# Source file availability:
if ! [ -f ${SOURCE} ]; then
+ echo "Source '$(basename ${SOURCE})' not available yet..."
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
+ if [ -f ${SOURCE} ]; then echo "Ah, found it!"; continue; fi
if ! [ "x${SRCURL}" == "x" ]; then
- # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
- [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
- echo "Source '$(basename ${SOURCE})' not available yet..."
echo "Will download file to $(dirname $SOURCE)"
- wget -nv -T 30 -O "${SOURCE}" "${SRCURL}" || true
+ wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
mv -f "${SOURCE}" "${SOURCE}".FAIL
@@ -149,14 +151,25 @@ chown -R root:root *
chmod -R u+w,go+r-w,a+X-s *
cd ${PRGNAM}-${VERSION}
-patch -p1 < $SRCDIR/${PRGNAM}_utf8.patch \
- 2>&1 | tee $OUTPUT/patch-$PRGNAM.log
-( cd doc && patch -p0 < $SRCDIR/${PRGNAM}_Doxyfile.patch \
- 2>&1 | tee -a $OUTPUT/patch-$PRGNAM.log
-)
-# Patch taken from LFS:
-cat $SRCDIR/id3lib-3.8.3_gcc4.diff | patch -p1 --verbose \
- 2>&1 | tee -a $OUTPUT/patch-$PRGNAM.log
+
+# Patches obtained from Arch who obtained them from Debian and elsewhere -
+# Use proper C++ headers:
+cat $CWD/patches/id3lib.cppheaders.patch | patch -p1 --verbose || exit 1
+# Add man pages:
+cat $CWD/patches/id3lib.manpages.patch | patch -p1 --verbose || exit 1
+# Write UTF8/UTF16 characters correctly:
+cat $CWD/patches/id3lib.utf8_writing.patch | patch -p1 --verbose || exit 1
+# Securely use mkstemp:
+cat $CWD/patches/id3lib.mkstemp.patch | patch -p1 --verbose || exit 1
+# Add C wrapper functions for field encoding:
+cat $CWD/patches/id3lib.c_wrapper.patch | patch -p1 --verbose || exit 1
+# Add a null pointer check:
+cat $CWD/patches/id3lib.nullpointer_check.patch | patch -p1 --verbose || exit 1
+# Fix stack smash crashes when reading VBR MP3:
+cat $CWD/patches/id3lib.vbr_stack_smash.patch | patch -p1 --verbose || exit 1
+
+# iomanip.h is obsolete; use the standard C++ header:
+sed -e "s%iomanip.h%iomanip%g" -i configure
echo Building ...
LDFLAGS="$SLKLDFLAGS" \